AWS Glue 버전 지원 정책 - AWS Glue

AWS Glue 버전 지원 정책

AWS Glue는 분석, 기계 학습, 애플리케이션 개발을 위해 데이터를 쉽게 검색, 준비, 결합할 수 있게 해주는 서버리스 데이터 통합 서비스입니다. AWS Glue 작업에는 AWS Glue에서 데이터 통합 작업을 수행하는 비즈니스 로직이 포함되어 있습니다. AWS Glue에는 Spark(배치 및 스트리밍)Python 셸이라는 두 가지 작업 유형이 있습니다. Spark 작업은 AWS Glue에서 관리하는 Apache Spark 환경에서 실행됩니다. Python 셸 작업은 Python 스크립트를 셸로 실행합니다. 작업을 정의할 때 런타임 환경에서 Spark 및 Python 버전을 구성하는 AWS Glue 버전을 지정합니다. 예: AWS Glue 버전 2.0 작업은 Spark 2.4.3 및 Python 3.7을 지원합니다.

지원 정책

AWS Glue에서 이전 AWS Glue 버전에 대한 지원을 중단하는 경우가 있습니다. 이러한 버전에서 작업을 계속 생성, 업데이트 및 실행할 수 있습니다. 그러나 사용되지 않는 버전에서 실행되는 작업은 더 이상 기술 지원을 받을 수 없습니다. AWS Glue는 사용되지 않는 버전에 보안 패치 또는 기타 업데이트를 더 이상 적용하지 않습니다. AWS Glue 역시 더 이상 사용되지 않는 버전에서 작업이 실행될 때 SLA를 준수하지 않습니다.

다음 AWS Glue 버전의 지원 종료 시점에 도달했거나 예정되어 있습니다. 지원 종료는 지정된 날짜의 자정(태평양 표준시)부터 시작됩니다.

유형 Glue 버전 지원 종료
Spark Spark 2.2, Scala 2(Glue 버전 0.9) 2022년 4월 30일
Spark Spark 2.2, Python 2(Glue 버전 0.9) 2022년 4월 30일
Spark Spark 2.4, Python 2(Glue 버전 1.0) 2022년 4월 30일
Spark Spark 2.4, Python 3(Glue 버전 1.0) 2022년 4월 30일
Spark Spark 2.4, Scala 2(Glue 버전 1.0) 2022년 4월 30일
Spark Glue 버전 2.0 2023년 3월 31일
유형 Python 버전 지원 종료
Python 셸 Python 2(Glue 버전 1.0) 2022년 4월 30일
유형 노트북 버전 지원 종료
개발 엔드포인트 Zeppelin 노트북 2022년 4월 30일

AWS는 해당 작업을 지원되는 버전으로 마이그레이션할 것을 적극 권장합니다.

Spark 작업을 최신 AWS Glue 버전으로 마이그레이션하는 방법에 대한 자세한 내용은 AWS Glue 작업을 AWS Glue 버전 3.0으로 마이그레이션을 참조하세요.

Python 셸 작업을 최신 AWS Glue 버전으로 마이그레이션하는 경우:

  • 콘솔에서 Python 3 (Glue Version 1.0)을 선택합니다.

  • CreateJob/UpdateJob API에서 GlueVersion 파라미터를 1.0으로 설정하고 Command 파라미터에서 PythonVersion3으로 설정합니다.

  • 작업 스크립트가 Python 3과 호환되도록 해야 합니다.